﻿using System.ComponentModel.DataAnnotations;
using Connected.ServiceModel;

namespace Connected.Configuration.Settings;

public class SettingsArgs : Dto
{
	[Required]
	[MaxLength(128)]
	public string? Name { get; set; }

	[MaxLength(1024)]
	public string? Value { get; set; }
}
