﻿namespace Connected.Services.Authorization
{
	public class ServiceAuthorizationResult
	{
		public ServiceAuthorizationResult()
		{
			Message = SR.PolicyAuthorizationFailed;
		}
		public ServiceAuthorizationResult(string message)
		{
			Message = message;
		}

		public string Message { get; set; }

		public static ServiceAuthorizationResult Default(Attribute sender, object policy)
		{
			return new ServiceAuthorizationResult($"{SR.PolicyAuthorizationFailed} ({sender.GetType().Name}.{policy})");
		}
	}
}
